package com.ym.mec.collectfee.dao;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.entity.Account;
import org.apache.ibatis.annotations.Param;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.List;

@Component
public interface AccountDao extends BaseDAO<Integer, Account> {

    Account getAccountByBranchId(@Param("branchId") Integer branchId, @Param("money") BigDecimal money);

    int upByIdAndVersion(Account account);

    String getAccountsStr();
}