package com.ym.mec.collectfee.dao;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.entity.CourseGroupInfo;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface CourseGroupInfoDao extends BaseDAO<Integer, CourseGroupInfo> {

    /**
     * 根据乐团id获取所有科目
     * @param classId
     * @return
     */
	List<CourseGroupInfo> getCourses(Integer classId);

    int upByIdAndVersion(CourseGroupInfo courseGroupInfo);
}