package com.ym.mec.collectfee.dao;


import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.entity.Renewals;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface RenewalsDao extends BaseDAO<Integer, Renewals> {

    public void renewalsInsert(@Param("renewalses") List<Renewals> renewalsArrayList);

    public Renewals getRenewalsByOrderId(@Param("orderId") Integer orderId);

}