package com.ym.mec.collectfee.dao;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.entity.Seminary;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface SeminaryDao extends BaseDAO<Integer, Seminary> {

    /**
     * 批量插入
     * @param seminaries
     */
    void batchInsert(@Param("seminaries") List<Seminary> seminaries);

    /**
     * 根据分部编号获取学校
     * @param branchId
     * @return
     */
    Seminary findByBranchId(Integer branchId);
}