package com.ym.mec.collectfee.service;

import com.ym.mec.collectfee.common.service.BaseService;
import com.ym.mec.collectfee.entity.CourseGroupInfo;
import com.ym.mec.collectfee.entity.ResponseCourseEntity;

import java.util.List;

public interface CourseGroupInfoService extends BaseService<Integer, CourseGroupInfo> {

    /**
     * 保存乐团课程组数据
     * @param xmlToObject
     */
    void upSetCourseGroup(ResponseCourseEntity xmlToObject);

    /**
     * 根据乐团id获取所有科目
     * @param classId
     * @return
     */
    List<CourseGroupInfo> getCourses(Integer classId);

    /**
     *  根据id和version更新已招生人数
     * @param courseGroupInfo
     * @return
     */
    int upByIdAndVersion(CourseGroupInfo courseGroupInfo);

}