package com.ym.mec.collectfee.service;

import com.ym.mec.collectfee.utils.yqpay.Msg;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "yqPay", url = "${yq-pay.pay-host}")
public interface YqPayService {
    @RequestMapping(name = "统一下单",value = "/api/api/pay/toPay", method=RequestMethod.POST)
    Msg toPay(@RequestParam Map<String, Object> map);

    @RequestMapping(name = "平台转账",value = "/api/api/platformTransfer/toAcc", method=RequestMethod.POST)
    String platformTransferAcc(@RequestParam Map<String, Object> map);

    @RequestMapping(name = "提现",value = "/api/api/withdraw/intfc", method=RequestMethod.POST)
    Msg intfc(@RequestParam Map<String, Object> map);

    @RequestMapping(name = "发送验证码",value = "/api/api/withdraw/sendSms", method=RequestMethod.POST)
    Msg sendSms(@RequestParam Map<String, Object> map);
}