package com.ym.mec.collectfee.service.impl;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.common.service.impl.BaseServiceImpl;
import com.ym.mec.collectfee.dao.BranchDao;
import com.ym.mec.collectfee.entity.Branch;
import com.ym.mec.collectfee.service.BranchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BranchServiceImpl extends BaseServiceImpl<Integer, Branch> implements BranchService {
	
	@Autowired
	private BranchDao branchDao;

	@Override
	public BaseDAO<Integer, Branch> getDAO() {
		return branchDao;
	}

    @Override
    public List<Branch> findBranchByList(List branches) {
        return branchDao.findBranchByList(branches);
    }
}