package com.ym.mec.collectfee.dao;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.entity.Branch;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface BranchDao extends BaseDAO<Integer, Branch> {

    /**
     * 批量插入分部列表
     *
     * @param branches
     */
    void batchInsert(@Param("branches") List<Branch> branches);

    List<Branch> findBranchByList(@Param("list") List branches);
}