package com.ym.mec.collectfee.service;

import com.ym.mec.collectfee.utils.yqpay.Msg;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "yqQuery", url = "${yq-pay.query-host}")
public interface YqQueryService {

    @RequestMapping(name = "订单查询", value = "/query/trade/tradeQuery", method = RequestMethod.POST)
    Msg orderQuery(@RequestParam Map<String, Object> map);

    @RequestMapping(name = "用户信息查询", value = "/query/account/queryAccount", method = RequestMethod.POST)
    String queryAccount(@RequestParam Map<String, Object> map);

    @RequestMapping(name = "对账查询", value = "/query/bill/billQuery", method = RequestMethod.POST)
    String billQuery(@RequestParam Map<String, Object> map);
}